PFE 0.33.71

Homepage
SourceForge
Download
Documentation
-Overview
-The PFE Manual
old manual / (book)
-ChangeLog
-Authors
-License (LGPL)
-Wordsets / (book)
-Functions .. (book)
-Dp of ANS Forth
-The 4thTutor
-Forthprimer.pdf
- Old Wordsets
- Old Words List
Forth Links
* Forth Repository
* Taygeta Compilation
* TinyBoot FirmWare
* FiCL, Free Forth
* Research Vienna
* Research Bournemouth
* zForth WebRing
Other Links
* Tektronix/MPT
* Forth Org. (FIG)
* Forth Inc.
* MPE Ltd. Forths
* SF Win32Forth
* PD Win32Forth
* Neil Bawd

generated
(C) Guido U. Draheim
guidod@gmx.de

## chain

> of executions

`link,``( some-list* -- )``[EXT]` => `"EXTENSIONS"`

        : link,        here over @ a, swap ! ;

  primitive code = [p4_link_comma]

`.chain``( some-chain* -- )``[EXT]` => `"EXTENSIONS"`

  show chain - compare with `WORDS`

  primitive code = [p4_dot_chain]

`.chains``( -- )``[EXT]` => `"EXTENSIONS"`

  show all chains registered in the system - compare with `VLIST`

  primitive code = [p4_dot_chains]

`chain-add``( some-chain* "word-to-add" -- )``[EXT]` => `"EXTENSIONS"`

  add chain item, for normal setup, at end of do-chain

        : chain-add ' >r begin dup @ while @ repeat here swap ! 0 , r> , ;
        ( chain-add begin dup @ while @ repeat  here swap ! 0, ' , )

  primitive code = [p4_chain_add]

`chain-add-before``( some-chain* "word-to-add" -- )``[EXT]` => `"EXTENSIONS"`

  add chain item, for reverse chain like BYE

        : chain-add-before ' >r here over @ , r> , swap ! ;
        ( chain-add-before link, ' , )

  primitive code = [p4_chain_add_before]

`do-chain``( some-chain* -- )``[EXT]` => `"EXTENSIONS"`

  execute chain

        : do-chain being @ ?dup while dup>r cell+ @execute r> repeat ;

  primitive code = [p4_do_chain]